<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__l2cap__fcr__options__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_l2cap_fcr_options_t</compoundname>
    <includes local="no">wiced_bt_l2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__l2cap__fcr__options__t_1afe0306ffb830b08231439dfbdbae604f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_fcr_options_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
<para>Requested mode of link. </para>
        </briefdescription>
        <detaileddescription>
<para><ref kindref="member" refid="group__l2cap_1L2CAP_FCR_MODE">L2CAP FCR mode</ref> </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="102" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="102" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fcr__options__t_1adf212aeb4309ab5a175db0c10e14b34e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_fcr_options_t::tx_window_size</definition>
        <argsstring />
        <name>tx_window_size</name>
        <briefdescription>
<para>Maximum transmit window size (1..63) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="103" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="103" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fcr__options__t_1afe2018f3e77aac76d74b934b9a003a81" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_fcr_options_t::max_transmit</definition>
        <argsstring />
        <name>max_transmit</name>
        <briefdescription>
<para>Maximum number of trasmission attempts. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="104" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="104" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fcr__options__t_1a2bf326f2715649a9bad849bb3071f675" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_fcr_options_t::rtrans_timeout_ms</definition>
        <argsstring />
        <name>rtrans_timeout_ms</name>
        <briefdescription>
<para>Retransmission timeout (msecs) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="105" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="105" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fcr__options__t_1a156d53134028dc6c86b6c512eef57826" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_fcr_options_t::monitor_timeout_ms</definition>
        <argsstring />
        <name>monitor_timeout_ms</name>
        <briefdescription>
<para>Monitor timeout (msecs) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="106" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="106" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__fcr__options__t_1a94516b043cf3568b266d8f5158fe802e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_fcr_options_t::max_pdu_size</definition>
        <argsstring />
        <name>max_pdu_size</name>
        <briefdescription>
<para>Maximum PDU payload size. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="107" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="107" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure for Enhanced Retransmission Mode Options Refer to Volume 3, Part A, section 5.4 of BT Core specification for details. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="108" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="100" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="101" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__l2cap__fcr__options__t_1a94516b043cf3568b266d8f5158fe802e" virt="non-virtual"><scope>wiced_bt_l2cap_fcr_options_t</scope><name>max_pdu_size</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fcr__options__t_1afe2018f3e77aac76d74b934b9a003a81" virt="non-virtual"><scope>wiced_bt_l2cap_fcr_options_t</scope><name>max_transmit</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fcr__options__t_1afe0306ffb830b08231439dfbdbae604f" virt="non-virtual"><scope>wiced_bt_l2cap_fcr_options_t</scope><name>mode</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fcr__options__t_1a156d53134028dc6c86b6c512eef57826" virt="non-virtual"><scope>wiced_bt_l2cap_fcr_options_t</scope><name>monitor_timeout_ms</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fcr__options__t_1a2bf326f2715649a9bad849bb3071f675" virt="non-virtual"><scope>wiced_bt_l2cap_fcr_options_t</scope><name>rtrans_timeout_ms</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__fcr__options__t_1adf212aeb4309ab5a175db0c10e14b34e" virt="non-virtual"><scope>wiced_bt_l2cap_fcr_options_t</scope><name>tx_window_size</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>